# this is needed to match this package with the main package without the main package
# having a hard requirement on this package
%define helper_version	6

Name:		kmozillahelper
Version:	5.0.6
Release:	%mkrel 1
Summary:	Mozilla Plasma Integration
License:	MIT
Group:		Graphical desktop/KDE
Url:		https://github.com/openSUSE/kmozillahelper
Source:		https://github.com/openSUSE/kmozillahelper/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5WindowSystem)
BuildRequires:	cmake(KF5I18n)

Provides:	mozilla-xulrunner191-kde4 = %version-release
Provides:	mozilla-xulrunner-kde4 = %version-release

%description
Package providing integration of Mozilla applications with Plasma 5.


%prep
%setup -q

%build
version=$(grep '#define HELPER_VERSION' main.cpp | cut -d ' ' -f 3)
if test "$version" != %{helper_version}; then
    echo fix the version in the .spec file
    exit 1
fi
%cmake_kf5
%cmake_build

%install
%cmake_install


%files
%_prefix/lib/mozilla/kmozillahelper
%_kf5_knotificationsdir/kmozillahelper.notifyrc


%changelog
* Wed Dec 02 2020 luigiwalser <luigiwalser> 5.0.6-1.mga8
+ Revision: 1651760
- 5.0.6

* Sat Feb 15 2020 umeabot <umeabot> 5.0.3-3.mga8
+ Revision: 1524696
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 5.0.3-2.mga7
+ Revision: 1382646
- Qt5 Rebuild

* Sun Dec 30 2018 luigiwalser <luigiwalser> 5.0.3-1.mga7
+ Revision: 1346841
- 5.0.3

* Sun Sep 23 2018 umeabot <umeabot> 5.0.2-2.mga7
+ Revision: 1298596
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 daviddavid <daviddavid> 5.0.2-1.mga7
+ Revision: 1219121
- new version: 5.0.2
- update URL and Source URL

* Sun Dec 18 2016 neoclust <neoclust> 0.6.5-1.mga6
+ Revision: 1076041
- Git snapshot  from kf5 port

* Sat Feb 06 2016 umeabot <umeabot> 0.6.4-6.mga6
+ Revision: 941941
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.4-5.mga5
+ Revision: 739159
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.4-4.mga5
+ Revision: 726669
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.4-3.mga5
+ Revision: 681131
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6.4-2.mga4
+ Revision: 530588
- Mageia 4 Mass Rebuild

* Thu Jul 25 2013 spuhler <spuhler> 0.6.4-1.mga4
+ Revision: 458110
- upgrade to version 0.6.4
  * fix bug #9857

* Wed Jan 16 2013 sander85 <sander85> 0.6.3-2.mga3
+ Revision: 388764
- Fix URL
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 18 2011 ennael <ennael> 0.6.3-1.mga1
+ Revision: 74087
- update to new version
  remove patch reported upstream

* Mon Feb 07 2011 mikala <mikala> 0.6.2-3.mga1
+ Revision: 48544
- Update URL
- imported package kmozillahelper

